### A free/open-source library for quantitative finance

Public Member Functions
RelinkableHandle< T > Class Template Reference

Relinkable handle to an observable. More...

`#include <ql/handle.hpp>`

Inheritance diagram for RelinkableHandle< T >:
[legend]

List of all members.

## Public Member Functions

| RelinkableHandle (const boost::shared_ptr< T > &p=boost::shared_ptr< T >(), bool registerAsObserver=true)
| RelinkableHandle (T *p, bool registerAsObserver=true)
void | linkTo (const boost::shared_ptr< T > &, bool registerAsObserver=true)

## Detailed Description

### template<class T>
class QuantLib::RelinkableHandle< T >

Relinkable handle to an observable.

An instance of this class can be relinked so that it points to another observable. The change will be propagated to all handles that were created as copies of such instance.

Precondition:
  Class T must inherit from Observable

Warning:
  see the Handle documentation for issues relatives to `registerAsObserver`.